/**
 * This file is part of be_w3dr. See the file "be_w3dr/license.txt" for license 
 * information.
 */

function refreshOutput() {
	document.getElementById('output').data = 'frontend.out';
}

function changeRotation(axis, delta) {
	var oldData = document.getElementById('renderer').data;
	var regExp = new RegExp(axis + '=([-+e.0-9]*)');
	var found = regExp.exec(oldData);
	if(found != null) {
		var value = parseFloat(RegExp.$1);
		value += delta;
		var newData = oldData.replace(regExp, axis + '=' + value);
		document.getElementById('renderer').data = newData;
		setTimeout('refreshOutput()', 1000);
	}
}

function changeFormat(newFormat) {
	var oldData = document.getElementById('renderer').data;
	var newData = oldData.replace(/format=[a-z]*/, 'format=' + newFormat);
	document.getElementById('renderer').data = newData;
	setTimeout('refreshOutput()', 1000);
}
